
GammaLib - Bug #3179

Complete pickling of GModelSpatialDiffuseCube class

03/06/2020 02:42 PM - Knödlseder Jürgen

Status: Closed Start date: 03/06/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

The information set by the method set_mc_cone() is currently lost when the class is pickled. Methods should be added to recover the

information used by set_mc_cone() so that the method can be invoked upon unpickling.

History

#1 - 06/24/2020 06:07 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 90

I renamed the set_mc_cone() methods in GModelSpatialDiffuseCube and GModelSpatialDiffuseMap to mc_cone() and introduced getter methods.

The methods now handle GSkyRegionCircle objects, which are used in the pickling to transfer the information.

While doing these changes I also restructured the GModelSpatial class, with the type() and region() methods being implemented at the base class

level so that code duplication is avoided.

I also adapted the ctools code to the new interface definition.

#2 - 06/24/2020 09:46 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The changes are merged into devel.
